Name:           clean-extra-utils
Version:        0.1
Release:        2%{?dist}
Summary:        A collection of extra libraries and utilities for the Clean programming language
Group:          Development/Libraries
License:        BSD
URL:            http://git.fedorahosted.org/git/%{name}.git
Source0:        http://git.fedorahosted.org/cgit/%{name}.git/snapshot/%{name}-%{version}.tar.gz

#BuildRequires:  
Requires:       clean

# This is because this is a library that will be compiled when imported
#  This is also the reason that there are no binary's in this package
%global debug_package %{nil}

# This was changed for EPEL5 to the first suggestion
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
This is a collection of libraries and
utilities for the Clean programming language.

%prep
%setup -q

%build
# No building needed

%clean
rm -rf %{buildroot}

%install
# This is for EPEL5
rm -rf %{buildroot}
mkdir %{buildroot}

mkdir -p %{buildroot}%{_libdir}/clean/extra-utils/
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}/
cp %{_builddir}/%{buildsubdir}/{README,COPYING} %{buildroot}%{_defaultdocdir}/%{name}-%{version}/

# ArgumentParser
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}/ArgumentParser/
cp -p %{_builddir}/%{buildsubdir}/ArgumentParser/ArgumentParser.{icl,dcl} %{buildroot}%{_libdir}/clean/extra-utils/
cp -p %{_builddir}/%{buildsubdir}/ArgumentParser/{ArgumentParser.dcl,example.icl,README} %{buildroot}%{_defaultdocdir}/%{name}-%{version}/ArgumentParser/

%files
%{_libdir}/clean/extra-utils/
%doc %{_defaultdocdir}/%{name}-%{version}/

%changelog
* Wed Aug 15 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.1-2
- Adding Group: tag

* Wed Jul 11 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.1-1
- Initial RPM package
